Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.core
Class CommonsLoggingTarget

    java.lang.Object
      flex.messaging.log.AbstractTarget
          org.springframework.flex.core.CommonsLoggingTarget

All Implemented Interfaces:
  Target

    public class CommonsLoggingTarget

extends AbstractTarget

BlazeDS Logging target that logs messages using standard apache commons-logging. Configuration: services-config.xml

      <logging>
          <target class="org.springframework.flex.core.CommonsLoggingTarget" level="All">
            <properties>
                    <categoryPrefix>blazeds</categoryPrefix>
            </properties>
          </target>
      </logging>

Underlying Logger Configuration (e.g. log4j.xml)

     <log name="blazeds" additivity="false">
          <level value="DEBUG" />
      </log>

Following Categories are available in BlazeDS/LCDS:

- Configuration
- DataService.General
- DataService.Hibernate
- DataService.Transaction
- Endpoint.*
- Endpoint.AMF
- Endpoint.HTTP
- Endpoint.RTMP
- Endpoint.Deserialization
- Endpoint.General
- Message.*
- Message.Command.*
- Message.Command.operation-name where operation-name is one of the following: subscribe, unsubscribe, poll, poll_interval, client_sync, server_ping,client_ping, cluster_request, login, logout
- Message.General
- Message.Data.*
- Message.Data.operation-name where operation-name is one of the following: create, fill get, update, delete, batched, multi_batch, transacted, page, count, get_or_create, create_and_sequence, get_sequence_id, association_add, association_remove, fillids, refresh_fill, update_collection
- Message.RPC
- MessageSelector
- Resource
- Service.*
- Service.Cluster
- Service.HTTP
- Service.Message
- Service.Message.JMS (logs a warning if a durable JMS subscriber can't be unsubscribed successfully.)
- Service.Remoting
- Security

Author:
  Isaac Levin

Field Summary
`protected String` | `categoryPrefix`

Fields inherited from class flex.messaging.log.AbstractTarget
`filters, id, level, loggerCount`

Constructor Summary
`CommonsLoggingTarget()`

Method Summary
`void` | `initialize(String id, ConfigMap properties)`
`void` | `logEvent(LogEvent logevent)`

Methods inherited from class flex.messaging.log.AbstractTarget
`addFilter, addLogger, containsFilter, getFilters, getId, getLevel, removeFilter, removeLogger, setFilters, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categoryPrefix

    protected String categoryPrefix

Constructor Detail

### CommonsLoggingTarget

    public CommonsLoggingTarget()

Method Detail

### initialize

    public void initialize(String id,
                           ConfigMap properties)

  Specified by:
    `initialize` in interface `Target`
  Overrides:
    `initialize` in class `AbstractTarget`

### logEvent

    public void logEvent(LogEvent logevent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.